#!/bin/bash
# 
# SCRIPT NAME:
# post-install.sh
#
# AUTHOR:
# Severin Kaderli <severin.kaderli@gmail.com>
#
# DESCRIPTION:
# This is the post-install script for my dotfiles. It should be only run
# after install.sh has been run and the system has been rebooted. This script
# installs global npm packages.
#
# USAGE:
# ./post-install.sh
. ./system/bin/utils.sh

#######################################
# Configuration variables
#######################################
# Array of npm packages which should be installed globally
NPM_PACKAGES=(
    "@vue/cli"
    "gatsby-cli"
    "npm-check-updates"
)

#######################################
# Main code
#######################################
print_header "Installing global npm packages"
npm i -g "${NPM_PACKAGES[@]}"